package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrOverhaulExchanger;

/**
 * 检修项目-换热器Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrOverhaulExchangerService 
{
    /**
     * 查询检修项目-换热器
     * 
     * @param id 检修项目-换热器ID
     * @return 检修项目-换热器
     */
    public TPssrOverhaulExchanger selectTPssrOverhaulExchangerById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询检修项目-换热器列表
     * 
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 检修项目-换热器集合
     */
    public List<TPssrOverhaulExchanger> selectTPssrOverhaulExchangerList(TPssrOverhaulExchanger tPssrOverhaulExchanger);

    public TPssrOverhaulExchanger selectAllConfirmedPersonBySubId(TPssrOverhaulExchanger tPssrOverhaulExchanger);

    /**
     * 新增检修项目-换热器
     * 
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 结果
     */
    public int insertTPssrOverhaulExchanger(TPssrOverhaulExchanger tPssrOverhaulExchanger);

    /**
     * 修改检修项目-换热器
     * 
     * @param tPssrOverhaulExchanger 检修项目-换热器
     * @return 结果
     */
    public int updateTPssrOverhaulExchanger(TPssrOverhaulExchanger tPssrOverhaulExchanger);
    public int updateAllBySubId(TPssrOverhaulExchanger tPssrOverhaulExchanger);

    /**
     * 批量删除检修项目-换热器
     * 
     * @param ids 需要删除的检修项目-换热器ID
     * @return 结果
     */
    public int deleteTPssrOverhaulExchangerByIds(Long[] ids);

    /**
     * 删除检修项目-换热器信息
     * 
     * @param id 检修项目-换热器ID
     * @return 结果
     */
    public int deleteTPssrOverhaulExchangerById(Long id);
}
